# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from enum import Enum


class SkuName(str, Enum):

    basic = "Basic"
    standard = "Standard"
    premium = "Premium"


class SkuTier(str, Enum):

    basic = "Basic"
    standard = "Standard"
    premium = "Premium"


class ManagedServiceIdentityType(str, Enum):

    system_assigned = "SystemAssigned"
    user_assigned = "UserAssigned"
    system_assigned_user_assigned = "SystemAssigned, UserAssigned"
    none = "None"


class CreatedByType(str, Enum):

    user = "User"
    application = "Application"
    managed_identity = "ManagedIdentity"
    key = "Key"


class KeySource(str, Enum):

    microsoft_key_vault = "Microsoft.KeyVault"


class PrivateLinkConnectionStatus(str, Enum):

    pending = "Pending"
    approved = "Approved"
    rejected = "Rejected"
    disconnected = "Disconnected"


class EndPointProvisioningState(str, Enum):

    creating = "Creating"
    updating = "Updating"
    deleting = "Deleting"
    succeeded = "Succeeded"
    canceled = "Canceled"
    failed = "Failed"


class EncodingCaptureDescription(str, Enum):

    avro = "Avro"
    avro_deflate = "AvroDeflate"


class EntityStatus(str, Enum):

    active = "Active"
    disabled = "Disabled"
    restoring = "Restoring"
    send_disabled = "SendDisabled"
    receive_disabled = "ReceiveDisabled"
    creating = "Creating"
    deleting = "Deleting"
    renaming = "Renaming"
    unknown = "Unknown"


class UnavailableReason(str, Enum):

    none = "None"
    invalid_name = "InvalidName"
    subscription_is_disabled = "SubscriptionIsDisabled"
    name_in_use = "NameInUse"
    name_in_lockdown = "NameInLockdown"
    too_many_namespace_in_current_subscription = "TooManyNamespaceInCurrentSubscription"


class ProvisioningStateDR(str, Enum):

    accepted = "Accepted"
    succeeded = "Succeeded"
    failed = "Failed"


class RoleDisasterRecovery(str, Enum):

    primary = "Primary"
    primary_not_replicating = "PrimaryNotReplicating"
    secondary = "Secondary"


class NetworkRuleIPAction(str, Enum):

    allow = "Allow"


class DefaultAction(str, Enum):

    allow = "Allow"
    deny = "Deny"


class AccessRights(str, Enum):

    manage = "Manage"
    send = "Send"
    listen = "Listen"


class KeyType(str, Enum):

    primary_key = "PrimaryKey"
    secondary_key = "SecondaryKey"
